Roll secret
POST /v2/webhook/{webhookId}/roll-secret
POST
/v2/webhook/{webhookId}/roll-secret
Roll the signing secret for a webhook.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” webhookId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09The ID of the webhook
Responses
Section titled “ Responses ”Created successfully
The new signing secret.
object
id
required
The webhook ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 name
The name of the webhook
string
Activate Payment Flow description
The description of the webhook
string
This webhook weill receive the notifications to trigger payments in our platform. url
required
The url of the webhook
string format: url
https://api.mycompany.com/webhooks/inbound enabledEvents
required
A list of event names that this webhook is configured to listen to (use ”*” for all events)
Array<string>
[ "*", "document.created", "document.scanned", "document.updated"] signingSecret
The secret used to sign the webhook payload
string
1234567890 status
The status of the webhook
string
active createdAt
The creation date
string format: date-time
2021-01-01T00:00:00.000Z lastTriggeredAt
The last triggered date
string format: date-time
2021-01-01T00:00:00.000ZBad Request
Unauthorized
Forbidden
Not Found
Internal Server Error